import check

## change_list(a_list) mutates the input by multiplying the first half
##     of the elements by 10.
## Effects: Mutates a_list
## change_list: (listof Int) -> None
def change_list(a_list):
    for i in range(len(a_list)//2):
        a_list[i] = a_list[i] * 10

my_list = [1, 2, 3, 4, 5, 6]
change_list(my_list)
check.expect("Change even list", my_list == [10, 20, 30, 4, 5, 6], True)
my_list = [1, 2, 3, 4, 5]
change_list(my_list)
check.expect("Change odd list", my_list == [10, 20, 3, 4, 5], True)
