import check
from equiv import *

## all_triples(a_list) produces a list all lists of length three of 
##      distinct elements of a_list
## all_triples: (listof Any) -> (listof (listof Any Any Any))
def all_triples(a_list):
    length = len(a_list)
    new_list = []                                
    for one in range(length):
        for two in range(one+1, length):
            for three in range(two+1, length):
                new_list.append([a_list[one], \
                                 a_list[two], a_list[three]])               
    return new_list


three_result = all_triples([1, 2, 3])
five_result = all_triples([1, 2, 3, 4, 5])
expected_five_result = [[1, 2, 3], [1, 2, 4], [1, 2, 5], [1, 3, 4], [1, 3, 5], \
                   [1, 4, 5], [2, 3, 4], [2, 3, 5], [2, 4, 5], [3, 4, 5]]
check.expect("All triples for zero elements", all_triples([]), [])
check.expect("All triples for one element", all_triples([1]), [])
check.expect("All triples for two elements", all_triples([1, 2]), [])
check.expect("All triples for three elements", \
             equiv_lol(three_result, [[1, 2, 3]]), True)
check.expect("All triples for five elements", \
             equiv_lol(five_result, expected_five_result), True)




        

