import check
from sess1q7tourcost import *

graph_four = make_graph("samplegraph4.txt")

print("Tests for tour_cost")
check.expect("Tour a, b, c, d", tour_cost(graph_four, \
                                          ['a', 'b', 'c', 'd']),
             100)

check.expect("Tour a, c, d, b", tour_cost(graph_four, \
                                          ['a', 'c', 'd', 'b']),
             51)

check.expect("Tour a, c, b, d", tour_cost(graph_four, \
                                          ['a', 'c', 'b', 'd']),
             71)


print("Tests for tour_cost_alt")
check.expect("Tour a, b, c, d", tour_cost_alt(graph_four, \
                                          ['a', 'b', 'c', 'd']),
             100)

check.expect("Tour a, c, d, b", tour_cost_alt(graph_four, \
                                          ['a', 'c', 'd', 'b']),
             51)

check.expect("Tour a, c, b, d", tour_cost_alt(graph_four, \
                                          ['a', 'c', 'b', 'd']),
             71)

