from grids import *

grid_one = make_grid("samplegrid1.txt")

## same_value(table, row_one, col_one, row_two, col_two) produces
##     True if the values in the entries (row_one, col_one) and
##     (row_two, col_two) are the same and False otherwise
## Requires: 0 <= row_one, row_two < table.rows
##           0 <= col_one, col_two < table.cols
## same_value: Grid Int Int Int Int -> Bool

def same_value(table, row_one, col_one, row_two, col_two):
    value_one = table.access(row_one, col_one)
    value_two = table.access(row_two, col_two)
    return value_one == value_two


